<template>
  <div>
    <div class="dashboard__header">
      <h1 class="dashboard__title">آدرس جدید</h1>
      <div class="dashboard__actions">
        <Button type="text" color='dark' light round size="sm" @click.native="$router.push('/dashboard/addresses')">
          <template #icon>
            <BackIcon />
          </template>
        </Button>
      </div>
    </div>
    <div class="dashboard__body">
      <DashboardNavigation class="dashboard__nav" active="addresses"/>
      <div class="dashboard__content">
        <Card title="اطلاعات آدرس">
          <AddressForm class="address-form" :states="states" />
        </Card>
      </div>
    </div>
  </div>
</template>

<script>
import BackIcon from "@/assets/svgs/back.svg";
import Button from "@/components/base/Button";
import Card from "@/components/base/Card";
import AddressForm from "@/components/dashboard/AddressForm";
import DashboardNavigation from "@/components/layout/DashboardNavigation";

export default {
  components: {
    DashboardNavigation,
    BackIcon,
    Button,
    Card,
    AddressForm
  },
  layout: 'dashboard',
  head() {
    return {
      title: "آدرس جدید"
    }
  },
  async asyncData(context) {
    let states = [];
    await context.store.dispatch('addresses/fetchStates').then(response => {
      if (response.status === 200) {
        states = response.data.data;
      }
    }).catch(error => {
      console.log(error);
    });
    return {
      states
    }
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables"

.address-form
  padding $sm 0
</style>